package cz.moneta.test.dsl.monetaportal;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.MonetaPortalEndpoint;
import cz.moneta.test.harness.support.web.Builders;

public class MonetaPortal {

    private final Harness harness;

    public MonetaPortal(Harness harness) {
        this.harness = harness;
    }

    public HomePage openHomePage() {
        MonetaPortalEndpoint endpoint = harness.getEndpoint(MonetaPortalEndpoint.class);
        endpoint.openApplication();

        return Builders.newWebFlowBuilder(HomePage.class, endpoint, harness);
    }
}